%define upstream_name    Net-HTTP
%define upstream_version 6.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Non-blocking HTTP client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Raw::Zlib)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Compress::Gzip)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::INET)
BuildArch:  noarch

%description
The 'Net::HTTP' class is a low-level HTTP client. An instance of the
'Net::HTTP' class represents a connection to an HTTP server. The HTTP
protocol is described in RFC 2616. The 'Net::HTTP' class supports
'HTTP/1.0' and 'HTTP/1.1'.

'Net::HTTP' is a sub-class of 'IO::Socket::INET'. You can mix the methods
described below with reading and writing from the socket directly. This is
not necessary a good idea, unless you know what you are doing.

The following methods are provided (in addition to those of
'IO::Socket::INET'):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 6.50.0-2.mga3
+ Revision: 370631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 6.50.0-1.mga3
+ Revision: 317692
- update to 6.05

* Thu Feb 23 2012 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 213092
- update to 6.03

* Tue Nov 22 2011 kharec <kharec> 6.20.0-1.mga2
+ Revision: 170823
- update to 6.02

* Tue Apr 19 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 88541
- update to 6.01

* Mon Feb 28 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 61494
- imported package perl-Net-HTTP

